# LiveLocation - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.extensions.api / LiveLocation

# LiveLocation

(common) `class LiveLocation : Closeable` (source)

### Properties

(common)

#### isClosed

`var isClosed: Boolean`

(common)

#### lastLocation

`val lastLocation: Location`

(common)

#### leftUntilCloseMillis

`val leftUntilCloseMillis: TimeSpan`

### Functions

(common)

#### close

`fun close(): Unit`

(common)

#### updateLocation

`suspend fun updateLocation(location: Location, replyMarkup: InlineKeyboardMarkup? = null): Location`